namespace SlatedGameToolkit.Framework.Graphics.OpenGL.Programs
{
    public class GLShaderProgramPipeline : GLProgramPipeline {
        private GLShaderProgram fragmentShader;
        private GLShaderProgram vertexShader;
        public GLShaderProgram FragmentShader { get { return fragmentShader; } set { fragmentShader = value; useProgramStages(PipelineHandle, GLEnums.GL_FRAGMENT_SHADER_BIT, value.handle); } }
        public GLShaderProgram VertexShader { get { return vertexShader; } set { vertexShader = value; useProgramStages(PipelineHandle, GLEnums.GL_VERTEX_SHADER_BIT, value.handle); } }

        public GLShaderProgramPipeline() : base() {

        }

        public override void Use() {
            base.Use();
            bindProgramPipeline(PipelineHandle);
        }
    }
}